JsonObjectFormatVisitor
Date: 2016-12-04

com.fasterxml.jackson.databind.jsonFormatVisitors

## Interface JsonObjectFormatVisitor

- All Superinterfaces:
    JsonFormatVisitorWithSerializerProvider
  All Known Implementing Classes:
    JsonObjectFormatVisitor.Base

      public interface JsonObjectFormatVisitor
      extends JsonFormatVisitorWithSerializerProvider

  Visitor called when properties of a type that maps to JSON Object are being visited: this usually means POJOs, but sometimes other types use it too (like `EnumMap`).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JsonObjectFormatVisitor.Base` Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `optionalProperty(BeanProperty writer)`
    `void` | `optionalProperty(java.lang.String name, JsonFormatVisitable handler, JavaType propertyTypeHint)`
    `void` | `property(BeanProperty writer)` Callback method called when a POJO property is being traversed.
    `void` | `property(java.lang.String name, JsonFormatVisitable handler, JavaType propertyTypeHint)` Callback method called when a non-POJO property (typically something like an Enum entry of `EnumMap` type) is being traversed.

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider

      `getProvider, setProvider`

- - ### Method Detail

    - #### property

          void property(BeanProperty writer)
                        throws JsonMappingException

      Callback method called when a POJO property is being traversed.
      Throws:
        `JsonMappingException`

    - #### property

          void property(java.lang.String name,
                      JsonFormatVisitable handler,
                      JavaType propertyTypeHint)
                        throws JsonMappingException

      Callback method called when a non-POJO property (typically something like an Enum entry of `EnumMap` type) is being traversed. With POJOs, `property(BeanProperty)` is called instead.
      Throws:
        `JsonMappingException`

    - #### optionalProperty

          void optionalProperty(BeanProperty writer)
                                throws JsonMappingException

      Throws:
        `JsonMappingException`

    - #### optionalProperty

          void optionalProperty(java.lang.String name,
                              JsonFormatVisitable handler,
                              JavaType propertyTypeHint)
                                throws JsonMappingException

      Throws:
        `JsonMappingException`